This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1465453 - please place an updated version of cloud-init in the latest rhel-guest-image [NEEDINFO]
please place an updated version of cloud-init in the latest rhel-guest-image
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-guest-image (Show other bugs)
7.3
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Fabian Deutsch
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 09:05 EDT by Irina Petrova
Modified: 2017-10-10 23:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
salmy: needinfo? (jboutaud)
ipetrova: needinfo? (salmy)
ipetrova: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Irina Petrova 2017-06-27 09:05:27 EDT
Description of problem:

The version of cloud-init is severely outdated in our latest guest image:

Red Hat Enterprise Linux 7.3 Update KVM Guest Image 
rhel-guest-image-7.3-36.x86_64.qcow2

~~~
$ virt-inspector -a rhel-guest-image-7.3-36.x86_64.qcow2 | xmlstarlet sel -t -v '//application[name="cloud-init"]'

        cloud-init
        0.7.6
        2.el7
        x86_64
~~~

Cloud-init's change log:
~~~
2017-04-13 Charalampos Stratakis <cstratak@redhat.com> 0.7.9-4
    - Import to RHEL 7
    Resolves: rhbz#1427280

2017-03-07 Lars Kellogg-Stedman <lars@redhat.com> 0.7.9-3
    - fixes for network config generation
    - avoid dependency cycle at boot (rhbz#1420946)

2017-01-17 Lars Kellogg-Stedman <lars@redhat.com> 0.7.9-2
    - use timeout from datasource config in openstack get_data (rhbz#1408589)

2016-12-01 Lars Kellogg-Stedman <lars@redhat.com> - 0.7.9-1
    - Rebased on upstream 0.7.9.
    - Remove dependency on run-parts

2016-01-06 Lars Kellogg-Stedman <lars@redhat.com> - 0.7.6-7
    - correct permissions on /etc/ssh/sshd_config [RH:1296191]

2016-01-06 Lars Kellogg-Stedman <lars@redhat.com> - 0.7.6-8
    - make rh_subscription plugin do nothing in the absence of a valid
    configuration [RH:1295953]
    - move rh_subscription module to cloud_config stage

2015-09-03 Lars Kellogg-Stedman <lars@redhat.com> - 0.7.6-6
    - rebuild for ppc64le

2015-07-07 Lars Kellogg-Stedman <lars@redhat.com> - 0.7.6-4
    - ensure rh_subscription plugin is enabled by default

2015-07-07 Lars Kellogg-Stedman <lars@redhat.com> - 0.7.6-5
    - bump revision for new build

2015-04-29 Lars Kellogg-Stedman <lars@redhat.com> - 0.7.6-3
    - added dependency on python-jinja2 [RH:1215913]
    - added rhn_subscription plugin [RH:1227393]
    - require pyserial to support smartos data source [RH:1226187]
~~~   

I have already seen at least one customer being affected by a bug in cloud-init 0.7.6.

Can we please get cloud-init 0.7.9 in our latest guest image?
Comment 4 Wei Shi 2017-06-29 08:32:05 EDT
Ryan, Fabian,
  What do you think for requesting latest cloud-init (in rh-common channel) for rhel-guest-image 7.3.z? Will you give a devel_ack+?

Note You need to log in before you can comment on or make changes to this bug.